diff --git a/frontend/src/pages/Community.vue b/frontend/src/pages/Community.vue
index 2ebc99381..e1c8c9683 100644
--- a/frontend/src/pages/Community.vue
+++ b/frontend/src/pages/Community.vue
@@ -54,5 +54,278 @@ export default {
       membersCount: '1203',
     }
   },
+  <div class="community-page">
+    <div>
+      <b-tabs v-model="tabIndex" content-class="mt-3" align="center">
+        <b-tab :title="$t('community.submitContribution')" active>
+          <contribution-form
+            @set-contribution="setContribution"
+            @update-contribution="updateContribution"
+            v-model="form"
+            :updateAmount="updateAmount"
+          />
+        </b-tab>
+        <b-tab :title="$t('community.myContributions')">
+          <div>
+            <b-alert show dismissible fade variant="secondary" class="text-dark">
+              <h4 class="alert-heading">{{ $t('community.myContributions') }}</h4>
+              <p>
+                {{ $t('contribution.alert.myContributionNoteList') }}
+              </p>
+              <ul class="h2">
+                <li>
+                  <b-icon icon="bell-fill" variant="primary"></b-icon>
+                  {{ $t('contribution.alert.pending') }}
+                </li>
+                <li>
+                  <b-icon icon="check" variant="success"></b-icon>
+                  {{ $t('contribution.alert.confirm') }}
+                </li>
+                <li>
+                  <b-icon icon="x-circle" variant="danger"></b-icon>
+                  {{ $t('contribution.alert.rejected') }}
+                </li>
+              </ul>
+              <hr />
+              <p class="mb-0">
+                {{ $t('contribution.alert.myContributionNoteSupport') }}
+              </p>
+            </b-alert>
+          </div>
+          <contribution-list
+            :items="items"
+            @update-list-contributions="updateListContributions"
+            @update-contribution-form="updateContributionForm"
+            @delete-contribution="deleteContribution"
+            :contributionCount="contributionCount"
+            :showPagination="true"
+            :pageSize="pageSize"
+          />
+        </b-tab>
+        <b-tab :title="$t('navigation.community')">
+          <b-alert show dismissible fade variant="secondary" class="text-dark">
+            <h4 class="alert-heading">{{ $t('navigation.community') }}</h4>
+            <p>
+              {{ $t('contribution.alert.communityNoteList') }}
+            </p>
+            <ul class="h2">
+              <li>
+                <b-icon icon="bell-fill" variant="primary"></b-icon>
+                {{ $t('contribution.alert.pending') }}
+              </li>
+              <li>
+                <b-icon icon="check" variant="success"></b-icon>
+                {{ $t('contribution.alert.confirm') }}
+              </li>
+            </ul>
+          </b-alert>
+          <contribution-list
+            :items="itemsAll"
+            @update-list-contributions="updateListAllContributions"
+            @update-contribution-form="updateContributionForm"
+            :contributionCount="contributionCountAll"
+            :showPagination="true"
+            :pageSize="pageSizeAll"
+          />
+        </b-tab>
+      </b-tabs>
+    </div>
+  </div>
+</template>
+<script>
+import ContributionForm from '@/components/Contributions/ContributionForm.vue'
+import ContributionList from '@/components/Contributions/ContributionList.vue'
+import { createContribution, updateContribution, deleteContribution } from '@/graphql/mutations'
+import { listContributions, listAllContributions, verifyLogin } from '@/graphql/queries'
+
+export default {
+  name: 'Community',
+  components: {
+    ContributionForm,
+    ContributionList,
+  },
+  data() {
+    return {
+      tabIndex: 0,
+      items: [],
+      itemsAll: [],
+      currentPage: 1,
+      pageSize: 25,
+      pageSizeAll: 25,
+      contributionCount: 0,
+      contributionCountAll: 0,
+      form: {
+        id: null,
+        date: '',
+        memo: '',
+        amount: '',
+      },
+      updateAmount: '',
+    }
+  },
+  methods: {
+    setContribution(data) {
+      this.$apollo
+        .mutate({
+          fetchPolicy: 'no-cache',
+          mutation: createContribution,
+          variables: {
+            creationDate: data.date,
+            memo: data.memo,
+            amount: data.amount,
+          },
+        })
+        .then((result) => {
+          this.toastSuccess(this.$t('contribution.submitted'))
+          this.updateListContributions({
+            currentPage: this.currentPage,
+            pageSize: this.pageSize,
+          })
+          this.updateListAllContributions({
+            currentPage: this.currentPage,
+            pageSize: this.pageSize,
+          })
+          this.verifyLogin()
+        })
+        .catch((err) => {
+          this.toastError(err.message)
+        })
+    },
+    updateContribution(data) {
+      this.$apollo
+        .mutate({
+          fetchPolicy: 'no-cache',
+          mutation: updateContribution,
+          variables: {
+            contributionId: data.id,
+            creationDate: data.date,
+            memo: data.memo,
+            amount: data.amount,
+          },
+        })
+        .then((result) => {
+          this.toastSuccess(this.$t('contribution.updated'))
+          this.updateListContributions({
+            currentPage: this.currentPage,
+            pageSize: this.pageSize,
+          })
+          this.updateListAllContributions({
+            currentPage: this.currentPage,
+            pageSize: this.pageSize,
+          })
+          this.verifyLogin()
+        })
+        .catch((err) => {
+          this.toastError(err.message)
+        })
+    },
+    deleteContribution(data) {
+      this.$apollo
+        .mutate({
+          fetchPolicy: 'no-cache',
+          mutation: deleteContribution,
+          variables: {
+            id: data.id,
+          },
+        })
+        .then((result) => {
+          this.toastSuccess(this.$t('contribution.deleted'))
+          this.updateListContributions({
+            currentPage: this.currentPage,
+            pageSize: this.pageSize,
+          })
+          this.updateListAllContributions({
+            currentPage: this.currentPage,
+            pageSize: this.pageSize,
+          })
+          this.verifyLogin()
+        })
+        .catch((err) => {
+          this.toastError(err.message)
+        })
+    },
+    updateListAllContributions(pagination) {
+      this.$apollo
+        .query({
+          fetchPolicy: 'no-cache',
+          query: listAllContributions,
+          variables: {
+            currentPage: pagination.currentPage,
+            pageSize: pagination.pageSize,
+          },
+        })
+        .then((result) => {
+          const {
+            data: { listAllContributions },
+          } = result
+          this.contributionCountAll = listAllContributions.contributionCount
+          this.itemsAll = listAllContributions.contributionList
+        })
+        .catch((err) => {
+          this.toastError(err.message)
+        })
+    },
+    updateListContributions(pagination) {
+      this.$apollo
+        .query({
+          fetchPolicy: 'no-cache',
+          query: listContributions,
+          variables: {
+            currentPage: pagination.currentPage,
+            pageSize: pagination.pageSize,
+          },
+        })
+        .then((result) => {
+          const {
+            data: { listContributions },
+          } = result
+          this.contributionCount = listContributions.contributionCount
+          this.items = listContributions.contributionList
+        })
+        .catch((err) => {
+          this.toastError(err.message)
+        })
+    },
+    verifyLogin() {
+      this.$apollo
+        .query({
+          query: verifyLogin,
+          fetchPolicy: 'network-only',
+        })
+        .then((result) => {
+          const {
+            data: { verifyLogin },
+          } = result
+          this.$store.dispatch('login', verifyLogin)
+        })
+        .catch(() => {
+          this.$emit('logout')
+        })
+    },
+    updateContributionForm(item) {
+      this.form.id = item.id
+      this.form.date = item.contributionDate
+      this.form.memo = item.memo
+      this.form.amount = item.amount
+      this.updateAmount = item.amount
+      this.tabIndex = 0
+    },
+    updateTransactions(pagination) {
+      this.$emit('update-transactions', pagination)
+    },
+  },
+  created() {
+    // verifyLogin is important at this point so that creation is updated on reload if they are deleted in a session in the admin area.
+    this.verifyLogin()
+    this.updateListContributions({
+      currentPage: this.currentPage,
+      pageSize: this.pageSize,
+    })
+    this.updateListAllContributions({
+      currentPage: this.currentPage,
+      pageSize: this.pageSize,
+    })
+    this.updateTransactions(0)
+  },
 }
 </script>
diff --git a/frontend/src/pages/Register.spec.js b/frontend/src/pages/Register.spec.js
index a9415de87..91e945c6a 100644
--- a/frontend/src/pages/Register.spec.js
+++ b/frontend/src/pages/Register.spec.js
@@ -139,24 +139,6 @@ describe('Register', () => {
           await flushPromises()
         }
 
-        describe('server sends back error "User already exists."', () => {
-          beforeEach(async () => {
-            await createError('GraphQL error: User already exists.')
-          })
-
-          it('shows no error message on the page', () => {
-            // don't show any error on the page! against boots
-            expect(wrapper.vm.showPageMessage).toBe(false)
-            expect(wrapper.find('.test-message-headline').exists()).toBe(false)
-            expect(wrapper.find('.test-message-subtitle').exists()).toBe(false)
-            expect(wrapper.find('.test-message-button').exists()).toBe(false)
-          })
-
-          it('toasts the error message', () => {
-            expect(toastErrorSpy).toBeCalledWith('error.user-already-exists')
-          })
-        })
-
         describe('server sends back error "Unknown error"', () => {
           beforeEach(async () => {
             await createError(' – Unknown error.')
diff --git a/frontend/src/pages/Register.vue b/frontend/src/pages/Register.vue
index f1bfad6d9..0ae316ae9 100755
--- a/frontend/src/pages/Register.vue
+++ b/frontend/src/pages/Register.vue
@@ -122,9 +122,6 @@ export default {
     getValidationState({ dirty, validated, valid = null }) {
       return dirty || validated ? valid : null
     },
-    commitStorePublisherId(val) {
-      this.$store.commit('publisherId', val)
-    },
     async onSubmit() {
       this.$apollo
         .mutate({
@@ -142,16 +139,7 @@ export default {
           this.showPageMessage = true
         })
         .catch((error) => {
-          let errorMessage
-          switch (error.message) {
-            case 'GraphQL error: User already exists.':
-              errorMessage = this.$t('error.user-already-exists')
-              break
-            default:
-              errorMessage = this.$t('error.unknown-error') + error.message
-              break
-          }
-          this.toastError(errorMessage)
+          this.toastError(this.$t('error.unknown-error') + error.message)
         })
     },
   },
diff --git a/frontend/src/pages/ResetPassword.vue b/frontend/src/pages/ResetPassword.vue
index d9bf1f891..ec7ae6811 100644
--- a/frontend/src/pages/ResetPassword.vue
+++ b/frontend/src/pages/ResetPassword.vue
@@ -88,7 +88,11 @@ export default {
             ? this.$t('message.checkEmail')
             : this.$t('message.reset')
           this.messageButtonText = this.$t('login')
-          this.messageButtonLinktTo = '/login'
+          if (this.$route.params.code) {
+            this.messageButtonLinktTo = `/login/${this.$route.params.code}`
+          } else {
+            this.messageButtonLinktTo = '/login'
+          }
         })
         .catch((error) => {
           let errorMessage
diff --git a/frontend/src/pages/Send.spec.js b/frontend/src/pages/Send.spec.js
index 47a30ff65..0738d9720 100644
--- a/frontend/src/pages/Send.spec.js
+++ b/frontend/src/pages/Send.spec.js
@@ -25,9 +25,11 @@ describe('Send', () => {
   const mocks = {
     $t: jest.fn((t) => t),
     $n: jest.fn((n) => String(n)),
+    $d: jest.fn((d) => d),
     $store: {
       state: {
         email: 'sender@example.org',
+        firstName: 'Testy',
       },
     },
     $apollo: {
@@ -160,11 +162,15 @@ describe('Send', () => {
     })
 
     describe('transaction form link', () => {
+      const now = new Date().toISOString()
       beforeEach(async () => {
         apolloMutationMock.mockResolvedValue({
           data: {
             createTransactionLink: {
               link: 'http://localhost/redeem/0123456789',
+              amount: '56.78',
+              memo: 'Make the best of the link!',
+              validUntil: now,
             },
           },
         })
@@ -228,18 +234,64 @@ describe('Send', () => {
             navigator.clipboard = navigatorClipboard
           })
 
-          describe('copy with success', () => {
+          describe('copy link with success', () => {
             beforeEach(async () => {
               navigatorClipboardMock.mockResolvedValue()
-              await wrapper.findAll('button').at(0).trigger('click')
+              await wrapper.findAll('button').at(1).trigger('click')
             })
 
+            it('should call clipboard.writeText', () => {
+              expect(navigator.clipboard.writeText).toHaveBeenCalledWith(
+                'http://localhost/redeem/0123456789',
+              )
+            })
             it('toasts success message', () => {
               expect(toastSuccessSpy).toBeCalledWith('gdd_per_link.link-copied')
             })
           })
 
-          describe('copy with error', () => {
+          describe('copy link with error', () => {
+            beforeEach(async () => {
+              navigatorClipboardMock.mockRejectedValue()
+              await wrapper.findAll('button').at(1).trigger('click')
+            })
+
+            it('toasts error message', () => {
+              expect(toastErrorSpy).toBeCalledWith('gdd_per_link.not-copied')
+            })
+          })
+        })
+
+        describe('copy link and text with success', () => {
+          const navigatorClipboard = navigator.clipboard
+          beforeAll(() => {
+            delete navigator.clipboard
+            navigator.clipboard = { writeText: navigatorClipboardMock }
+          })
+          afterAll(() => {
+            navigator.clipboard = navigatorClipboard
+          })
+
+          describe('copy link and text with success', () => {
+            beforeEach(async () => {
+              navigatorClipboardMock.mockResolvedValue()
+              await wrapper.findAll('button').at(0).trigger('click')
+            })
+
+            it('should call clipboard.writeText', () => {
+              expect(navigator.clipboard.writeText).toHaveBeenCalledWith(
+                'http://localhost/redeem/0123456789\n' +
+                  'Testy transaction-link.send_you 56.78 Gradido.\n' +
+                  '"Make the best of the link!"\n' +
+                  'gdd_per_link.credit-your-gradido gdd_per_link.validUntilDate',
+              )
+            })
+            it('toasts success message', () => {
+              expect(toastSuccessSpy).toBeCalledWith('gdd_per_link.link-and-text-copied')
+            })
+          })
+
+          describe('copy link and text with error', () => {
             beforeEach(async () => {
               navigatorClipboardMock.mockRejectedValue()
               await wrapper.findAll('button').at(0).trigger('click')
@@ -253,7 +305,7 @@ describe('Send', () => {
 
         describe('close button click', () => {
           beforeEach(async () => {
-            await wrapper.findAll('button').at(2).trigger('click')
+            await wrapper.findAll('button').at(3).trigger('click')
           })
 
           it('Shows the TransactionForm', () => {
diff --git a/frontend/src/pages/Send.vue b/frontend/src/pages/Send.vue
index cd5f8f572..74e2b0270 100644
--- a/frontend/src/pages/Send.vue
+++ b/frontend/src/pages/Send.vue
@@ -41,7 +41,13 @@
           ></transaction-result-send-error>
         </template>
         <template #transactionResultLink>
-          <transaction-result-link :link="link" @on-reset="onReset"></transaction-result-link>
+          <transaction-result-link
+            :link="link"
+            :amount="amount"
+            :memo="memo"
+            :validUntil="validUntil"
+            @on-reset="onReset"
+          ></transaction-result-link>
         </template>
       </gdd-send>
       <hr />
@@ -144,7 +150,15 @@ export default {
             })
             .then((result) => {
               this.$emit('set-tunneled-email', null)
-              this.link = result.data.createTransactionLink.link
+              const {
+                data: {
+                  createTransactionLink: { link, amount, memo, validUntil },
+                },
+              } = result
+              this.link = link
+              this.amount = amount
+              this.memo = memo
+              this.validUntil = validUntil
               this.transactionData = { ...EMPTY_TRANSACTION_DATA }
               this.currentTransactionStep = TRANSACTION_STEPS.transactionResultLink
               this.updateTransactions({})
diff --git a/frontend/src/pages/TransactionLink.spec.js b/frontend/src/pages/TransactionLink.spec.js
index abc86f0ef..b1bbd8950 100644
--- a/frontend/src/pages/TransactionLink.spec.js
+++ b/frontend/src/pages/TransactionLink.spec.js
@@ -24,6 +24,7 @@ const transactionLinkValidExpireDate = () => {
 apolloQueryMock.mockResolvedValue({
   data: {
     queryTransactionLink: {
+      __typename: 'TransactionLink',
       id: 92,
       amount: '22',
       memo: 'Abrakadabra drei, vier, fünf, sechs, hier steht jetzt ein Memotext! Hex hex ',
@@ -82,6 +83,7 @@ describe('TransactionLink', () => {
         variables: {
           code: 'some-code',
         },
+        fetchPolicy: 'no-cache',
       })
     })
 
@@ -90,6 +92,7 @@ describe('TransactionLink', () => {
         apolloQueryMock.mockResolvedValue({
           data: {
             queryTransactionLink: {
+              __typename: 'TransactionLink',
               id: 92,
               amount: '22',
               memo: 'Abrakadabra drei, vier, fünf, sechs, hier steht jetzt ein Memotext! Hex hex ',
@@ -120,6 +123,7 @@ describe('TransactionLink', () => {
         apolloQueryMock.mockResolvedValue({
           data: {
             queryTransactionLink: {
+              __typename: 'TransactionLink',
               id: 92,
               amount: '22',
               memo: 'Abrakadabra drei, vier, fünf, sechs, hier steht jetzt ein Memotext! Hex hex ',
@@ -150,6 +154,7 @@ describe('TransactionLink', () => {
         apolloQueryMock.mockResolvedValue({
           data: {
             queryTransactionLink: {
+              __typename: 'TransactionLink',
               id: 92,
               amount: '22',
               memo: 'Abrakadabra drei, vier, fünf, sechs, hier steht jetzt ein Memotext! Hex hex ',
@@ -177,9 +182,11 @@ describe('TransactionLink', () => {
 
     describe('no token in store', () => {
       beforeEach(() => {
+        mocks.$store.state.token = null
         apolloQueryMock.mockResolvedValue({
           data: {
             queryTransactionLink: {
+              __typename: 'TransactionLink',
               id: 92,
               amount: '22',
               memo: 'Abrakadabra drei, vier, fünf, sechs, hier steht jetzt ein Memotext! Hex hex ',
@@ -213,6 +220,7 @@ describe('TransactionLink', () => {
         apolloQueryMock.mockResolvedValue({
           data: {
             queryTransactionLink: {
+              __typename: 'TransactionLink',
               id: 92,
               amount: '22',
               memo: 'Abrakadabra drei, vier, fünf, sechs, hier steht jetzt ein Memotext! Hex hex ',
@@ -248,6 +256,7 @@ describe('TransactionLink', () => {
         apolloQueryMock.mockResolvedValue({
           data: {
             queryTransactionLink: {
+              __typename: 'TransactionLink',
               id: 92,
               amount: '22',
               memo: 'Abrakadabra drei, vier, fünf, sechs, hier steht jetzt ein Memotext! Hex hex ',
@@ -298,7 +307,7 @@ describe('TransactionLink', () => {
         })
 
         it('toasts a success message', () => {
-          expect(mocks.$t).toBeCalledWith('gdd_per_link.redeemed', { n: '22' })
+          expect(mocks.$t).toBeCalledWith('gdd_per_link.redeem')
           expect(toastSuccessSpy).toBeCalledWith('gdd_per_link.redeemed; ')
         })
 
diff --git a/frontend/src/pages/TransactionLink.vue b/frontend/src/pages/TransactionLink.vue
index 5fc20326e..57236b55c 100644
--- a/frontend/src/pages/TransactionLink.vue
+++ b/frontend/src/pages/TransactionLink.vue
@@ -1,18 +1,21 @@
 <template>
   <div class="show-transaction-link-informations">
-    <div class="text-center"><b-img :src="img" fluid alt="logo"></b-img></div>
     <b-container class="mt-4">
       <transaction-link-item :type="itemType">
         <template #LOGGED_OUT>
-          <redeem-logged-out v-bind="linkData" />
+          <redeem-logged-out :linkData="linkData" :isContributionLink="isContributionLink" />
         </template>
 
         <template #SELF_CREATOR>
-          <redeem-self-creator v-bind="linkData" />
+          <redeem-self-creator :linkData="linkData" />
         </template>
 
         <template #VALID>
-          <redeem-valid v-bind="linkData" @redeem-link="redeemLink" />
+          <redeem-valid
+            :linkData="linkData"
+            :isContributionLink="isContributionLink"
+            @redeem-link="redeemLink"
+          />
         </template>
 
         <template #TEXT>
@@ -44,6 +47,7 @@ export default {
     return {
       img: '/img/brand/green.png',
       linkData: {
+        __typename: 'TransactionLink',
         amount: '123.45',
         memo: 'memo',
         user: {
@@ -57,6 +61,7 @@ export default {
     setTransactionLinkInformation() {
       this.$apollo
         .query({
+          fetchPolicy: 'no-cache',
           query: queryTransactionLink,
           variables: {
             code: this.$route.params.code,
@@ -64,39 +69,47 @@ export default {
         })
         .then((result) => {
           this.linkData = result.data.queryTransactionLink
+          if (this.linkData.__typename === 'ContributionLink' && this.$store.state.token) {
+            this.mutationLink(this.linkData.amount)
+          }
         })
         .catch((err) => {
           this.toastError(err.message)
         })
     },
+    mutationLink(amount) {
+      this.$apollo
+        .mutate({
+          mutation: redeemTransactionLink,
+          variables: {
+            code: this.$route.params.code,
+          },
+        })
+        .then(() => {
+          this.toastSuccess(
+            this.$t('gdd_per_link.redeemed', {
+              n: amount,
+            }),
+          )
+          this.$router.push('/overview')
+        })
+        .catch((err) => {
+          this.toastError(err.message)
+          this.$router.push('/overview')
+        })
+    },
     redeemLink(amount) {
-      this.$bvModal.msgBoxConfirm(this.$t('gdd_per_link.redeem-text')).then(async (value) => {
-        if (value)
-          await this.$apollo
-            .mutate({
-              mutation: redeemTransactionLink,
-              variables: {
-                code: this.$route.params.code,
-              },
-            })
-            .then(() => {
-              this.toastSuccess(
-                this.$t('gdd_per_link.redeemed', {
-                  n: amount,
-                }),
-              )
-              this.$router.push('/overview')
-            })
-            .catch((err) => {
-              this.toastError(err.message)
-              this.$router.push('/overview')
-            })
+      this.$bvModal.msgBoxConfirm(this.$t('gdd_per_link.redeem-text')).then((value) => {
+        if (value) this.mutationLink(amount)
       })
     },
   },
   computed: {
+    isContributionLink() {
+      return this.$route.params.code.search(/^CL-/) === 0
+    },
     itemType() {
-      // link wurde gelöscht: am, von
+      // link is deleted: at, from
       if (this.linkData.deletedAt) {
         // eslint-disable-next-line vue/no-side-effects-in-computed-properties
         this.redeemedBoxText = this.$t('gdd_per_link.link-deleted', {
@@ -124,16 +137,12 @@ export default {
 
       if (this.$store.state.token) {
         // logged in, nicht berechtigt einzulösen, eigener link
-        if (this.$store.state.email === this.linkData.user.email) {
+        if (this.linkData.user && this.$store.state.email === this.linkData.user.email) {
           return `SELF_CREATOR`
         }
 
         // logged in und berechtigt einzulösen
-        if (
-          this.$store.state.email !== this.linkData.user.email &&
-          !this.linkData.redeemedAt &&
-          !this.linkData.deletedAt
-        ) {
+        if (!this.linkData.redeemedAt && !this.linkData.deletedAt) {
           return `VALID`
         }
       }
diff --git a/frontend/src/plugins/apolloProvider.js b/frontend/src/plugins/apolloProvider.js
index 73452e5ba..4a0ff9914 100644
--- a/frontend/src/plugins/apolloProvider.js
+++ b/frontend/src/plugins/apolloProvider.js
@@ -29,7 +29,11 @@ const authLink = new ApolloLink((operation, forward) => {
 
 const apolloClient = new ApolloClient({
   link: authLink.concat(httpLink),
-  cache: new InMemoryCache(),
+  cache: new InMemoryCache({
+    possibleTypes: {
+      QueryLinkResult: ['TransactionLink', 'ContributionLink'],
+    },
+  }),
 })
 
 export const apolloProvider = new VueApollo({
diff --git a/frontend/src/plugins/dashboard-plugin.js b/frontend/src/plugins/dashboard-plugin.js
index 4825377c7..fe617169f 100755
--- a/frontend/src/plugins/dashboard-plugin.js
+++ b/frontend/src/plugins/dashboard-plugin.js
@@ -18,6 +18,8 @@ import 'vue-loading-overlay/dist/vue-loading.css'
 
 import VueApollo from 'vue-apollo'
 
+import VueTimers from 'vue-timers'
+
 export default {
   install(Vue) {
     Vue.use(GlobalComponents)
@@ -29,5 +31,6 @@ export default {
     Vue.use(FlatPickr)
     Vue.use(Loading)
     Vue.use(VueApollo)
+    Vue.use(VueTimers)
   },
 }
diff --git a/frontend/src/routes/router.test.js b/frontend/src/routes/router.test.js
index a1083a499..c843f85bb 100644
--- a/frontend/src/routes/router.test.js
+++ b/frontend/src/routes/router.test.js
@@ -75,6 +75,17 @@ describe('router', () => {
         })
       })
 
+      describe('community', () => {
+        it('requires authorization', () => {
+          expect(routes.find((r) => r.path === '/community').meta.requiresAuth).toBeTruthy()
+        })
+
+        it('loads the "Community" page', async () => {
+          const component = await routes.find((r) => r.path === '/community').component()
+          expect(component.default.name).toBe('Community')
+        })
+      })
+
       describe('profile', () => {
         it('requires authorization', () => {
           expect(routes.find((r) => r.path === '/profile').meta.requiresAuth).toBeTruthy()
diff --git a/frontend/src/store/store.js b/frontend/src/store/store.js
index 129337e7f..8fdbc519e 100644
--- a/frontend/src/store/store.js
+++ b/frontend/src/store/store.js
@@ -3,6 +3,7 @@ import Vuex from 'vuex'
 import createPersistedState from 'vuex-persistedstate'
 import { localeChanged } from 'vee-validate'
 import i18n from '@/i18n.js'
+import jwtDecode from 'jwt-decode'
 
 Vue.use(Vuex)
 
@@ -26,6 +27,11 @@ export const mutations = {
   },
   token: (state, token) => {
     state.token = token
+    if (token) {
+      state.tokenTime = jwtDecode(token).exp
+    } else {
+      state.tokenTime = null
+    }
   },
   newsletterState: (state, newsletterState) => {
     state.newsletterState = newsletterState
@@ -41,6 +47,9 @@ export const mutations = {
   hasElopage: (state, hasElopage) => {
     state.hasElopage = hasElopage
   },
+  creation: (state, creation) => {
+    state.creation = creation
+  },
 }
 
 export const actions = {
@@ -54,6 +63,7 @@ export const actions = {
     commit('hasElopage', data.hasElopage)
     commit('publisherId', data.publisherId)
     commit('isAdmin', data.isAdmin)
+    commit('creation', data.creation)
   },
   logout: ({ commit, state }) => {
     commit('token', null)
@@ -65,6 +75,7 @@ export const actions = {
     commit('hasElopage', false)
     commit('publisherId', null)
     commit('isAdmin', false)
+    commit('creation', null)
     localStorage.clear()
   },
 }
@@ -85,10 +96,12 @@ try {
       lastName: '',
       // username: '',
       token: null,
+      tokenTime: null,
       isAdmin: false,
       newsletterState: null,
       hasElopage: false,
       publisherId: null,
+      creation: null,
     },
     getters: {},
     // Syncronous mutation of the state
